Page MenuHomePhabricator

Exception "Key contains invalid characters" from MemcachedBagOStuff.php
Closed, ResolvedPublic

Description

Seen at https://logstash-beta.wmflabs.org

[{exception_id}] {exception_url} Exception from line 156 of /srv/mediawiki/php-master/includes/libs/objectcache/MemcachedBagOStuff.php: Key contains invalid characters: WANCache:v:enwiki:filerepo:wikimediacommons:RemoteFileDescription:url:en:Dülmen,_Al

Seems like this might have something to do with the mcrouter/nutrcracker reconfiguration, with regards to makeKey encoding. But not sure, could be an unrelated pre-existing issue?

Event Timeline

Krinkle created this task.Jun 27 2018, 12:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2018, 12:51 AM

Change 442239 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] filerepo: clean up remote description cache keys

https://gerrit.wikimedia.org/r/442239

Change 442245 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] objectcache: define makeKey()/makeGlobalKey() for ReplicatedBagOStuff

https://gerrit.wikimedia.org/r/442245

Change 442326 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/core@wmf/1.32.0-wmf.10] objectcache: define makeKey()/makeGlobalKey() for ReplicatedBagOStuff

https://gerrit.wikimedia.org/r/442326

Change 442245 merged by jenkins-bot:
[mediawiki/core@master] objectcache: define makeKey()/makeGlobalKey() for ReplicatedBagOStuff

https://gerrit.wikimedia.org/r/442245

Change 442239 merged by jenkins-bot:
[mediawiki/core@master] filerepo: clean up remote description cache keys

https://gerrit.wikimedia.org/r/442239

Krinkle closed this task as Resolved.Jun 28 2018, 9:33 PM
Krinkle assigned this task to aaron.
Krinkle triaged this task as High priority.
Krinkle moved this task from Untriaged to libs/objectcache on the MediaWiki-Cache board.
Krinkle removed a project: Patch-For-Review.

Error rate dropped to 0 for MemcachedBagOStuff in logstash-beta. Yay!

Change 442326 abandoned by Krinkle:
objectcache: define makeKey()/makeGlobalKey() for ReplicatedBagOStuff

https://gerrit.wikimedia.org/r/442326

Change 442326 restored by Aaron Schulz:
objectcache: define makeKey()/makeGlobalKey() for ReplicatedBagOStuff

https://gerrit.wikimedia.org/r/442326

Change 442326 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.10] objectcache: define makeKey()/makeGlobalKey() for ReplicatedBagOStuff

https://gerrit.wikimedia.org/r/442326

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM